Loading...
Searching...
No Matches
Magick::DrawableBorderColor Class Reference
Inheritance diagram for Magick::DrawableBorderColor:

## Public Member Functions

| DrawableBorderColor (const Color &color_)
| DrawableBorderColor (const DrawableBorderColor &original_)
void | operator() (MagickCore::DrawingWand *context_) const
void | color (const Color &color_)
Color | color (void) const
DrawableBase * | copy () const

## Private Attributes

Color | _color

## Detailed Description

Definition at line 469 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableBorderColor() [1/2]

Magick::DrawableBorderColor::DrawableBorderColor | ( | const Color & | color_ | ) |

Definition at line 278 of file Drawable.cpp.

: _color(color_)
{
}

## DrawableBorderColor() [2/2]

Magick::DrawableBorderColor::DrawableBorderColor | ( | const DrawableBorderColor & | original_ | ) |

Definition at line 283 of file Drawable.cpp.

: DrawableBase(original_),
_color(original_._color)
{
}

## ~DrawableBorderColor()

Magick::DrawableBorderColor::~DrawableBorderColor | ( | void |  | ) |

Definition at line 290 of file Drawable.cpp.

{
}

## Member Function Documentation

## color() [1/2]

void Magick::DrawableBorderColor::color | ( | const Color & | color_ | ) |

Definition at line 310 of file Drawable.cpp.

{
_color=color_;
}

## color() [2/2]

Magick::Color Magick::DrawableBorderColor::color | ( | void |  | ) | const

Definition at line 315 of file Drawable.cpp.

{
return(_color);
}

## copy()

Magick::DrawableBase * Magick::DrawableBorderColor::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 320 of file Drawable.cpp.

{
return(new DrawableBorderColor(*this));
}

## operator()()

void Magick::DrawableBorderColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 294 of file Drawable.cpp.

{
PixelInfo
color;
PixelWand
*pixel_wand;
color=static_cast<PixelInfo>(_color);
pixel_wand=NewPixelWand();
PixelSetPixelColor(pixel_wand,&color);
DrawSetBorderColor(context_,pixel_wand);
pixel_wand=DestroyPixelWand(pixel_wand);
}

## Field Documentation

## _color

Color Magick::DrawableBorderColor::_color

private

Definition at line 489 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp